model TestStiffness 
  parameter Boolean signal = true;
  Modelica.Electrical.Analog.Basic.Ground G 
    annotation (extent=[46,-60; 66,-40]);
  Modelica.Electrical.Analog.Basic.Inductor I(i(start=.15)) 
    annotation (extent=[-20,20; 0,40]);
  Modelica.Electrical.Analog.Ideal.IdealSwitch S(Roff=1e-5, Gon=1e-5) 
    annotation (extent=[20,20; 40,40]);
  Modelica.Electrical.Analog.Sources.SineVoltage V 
    annotation (extent=[-48,-20; -28,0], rotation=90);
equation 
  S.control.signal[1] = signal;
  connect(I.n, S.p) 
    annotation (points=[0,30; 20,30], style(color=3, rgbcolor={0,0,255}));
  connect(S.n, G.p)       annotation (points=[40,30; 56,30; 56,-40],
      style(color=3, rgbcolor={0,0,255}));
  connect(V.n, I.p)                    annotation (points=[-38,0; -38,30; -20,
        30],     style(color=3, rgbcolor={0,0,255}));
  connect(V.p, G.p)                  annotation (points=[-38,-20; -38,-40; 56,
        -40],         style(color=3, rgbcolor={0,0,255}));
end TestStiffness;
